"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printCached = exports.parseAndCache = void 0;
const graphql_1 = require("graphql");
const printCache = new WeakMap();
function parseAndCache(source) {
    const parsed = (0, graphql_1.parse)(source, { noLocation: true });
    printCache.set(parsed, source);
    return parsed;
}
exports.parseAndCache = parseAndCache;
function printCached(document) {
    return printCache.get(document) || (0, graphql_1.print)(document).trim();
}
exports.printCached = printCached;
